//
//  String.swift
//  DontWaste
//
//  Created by David Aldorf on 28.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import Foundation

extension String {
    
    var isEmailValid: Bool {
        
        let emailFormat = "[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,64}"
        let emailPredicate = NSPredicate(format:"SELF MATCHES %@", emailFormat)
        
        return emailPredicate.evaluate(with: self)
        
    }
    
    var isPasswordValid: Bool {
        
        let passwordFormat = "(?=.*[A-Z])(?=.*[0-9])(?=.*[a-z]).{6,}"
        let passwordPredicate = NSPredicate(format:"SELF MATCHES %@", passwordFormat)
        
        return passwordPredicate.evaluate(with: self)
        
    }
}
