//
//  FridgeItemCell.swift
//  DontWaste
//
//  Created by David Aldorf on 03.03.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit

class FridgeItemCell: UITableViewCell, NibLoadableView {
    
    @IBOutlet weak var categoryImageView: UIImageView!
    @IBOutlet weak var nameLabel: UILabel!
    @IBOutlet weak var expirationDateLabel: UILabel!
    
    func setup(_ product: Product) {
        
        nameLabel.text = product.name
        expirationDateLabel.text = "\(product.expirationDateFrom?.string() ?? "N/A") - \(product.expirationDateTo?.string() ?? "N/A")"
        categoryImageView.image = #imageLiteral(resourceName: "icon_blue")
    }
}
