//
//  MockFirebaseService.swift
//  DontWasteTests
//
//  Created by David Aldorf on 27.03.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import Foundation
import RxSwift
@testable import DontWaste

class MockFirebaseService: FirebaseService {
    var posts_ReturnValue: Observable<[Product]> = Observable.just([])
    var posts_Called = false
    
    override func getPosts() -> Observable<[Post]> {
        posts_Called = true
        return posts_ReturnValue
    }
    override func createProduct(product: Product) -> Observable<Void> {
        var posts_Called = true
        return Observable.just()
    }
    override func updateProduct(product: Product) -> Observable<Void> {
        var posts_Called = true
        return Observable.just()
    }
}
