//
//  RxViewController.swift
//  DontWaste
//
//  Created by David Aldorf on 26.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit
import RxCocoa
import RxSwift

protocol RxViewControllerProtocol where Self: UIViewController {
    
    var disposeBag: DisposeBag { get set }
    
    func bindToVM()
}
