//
//  ViewModelType.swift
//  DontWaste
//
//  Created by David Aldorf on 24.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

protocol ViewModelType {
    
    associatedtype Input
    associatedtype Output
    
    func transform(input: Input) -> Output
}

public class RxViewModel: ViewModelType {
    
    struct Input {}
    struct Output {}
    
    func transform(input: Input) -> Output {
        
        return Output()
    }
}
