//
//  MockedNavigator.swift
//  DontWasteTests
//
//  Created by David Aldorf on 27.03.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

@testable import DontWaste
import Domain
import RxSwift

class MockedNavigator: Navigator {
    
    var toPosts_Called = false
    
    func toPosts() {
        toPosts_Called = true
    }
    
    var toCreatePost_Called = false
    
    func toCreatePost() {
        toCreatePost_Called = true
    }
    
    var toPost_post_Called = false
    var toPost_post_ReceivedArguments: Post?
    
    func toPost(_ post: Post) {
        toPost_post_Called = true
        toPost_post_ReceivedArguments = post
    }
}
